<?php
/**
 * Template part for displaying a scroll top in footer.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Ogma
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$scroll_top_enable = ogma_get_customizer_option_value( 'scroll_top_enable' );

if ( false === $scroll_top_enable ) {
    return;
}

/**
 * hook - ogma_before_scroll_top
 * 
 * @since 1.0.0
 */
do_action( 'ogma_before_scroll_top' );

$scroll_top_arrow = ogma_get_customizer_option_value( 'scroll_top_arrow' );
?>
    <div id="ogma-scrollup">
        <i class="bx <?php echo esc_attr( $scroll_top_arrow ); ?>"></i>
    </div><!-- #ogma-scrollup -->
<?php
/**
 * hook - ogma_after_scroll_top
 * 
 * @since 1.0.0
 */
do_action( 'ogma_after_scroll_top' );